README.E
--------

This file describes the new features built in to DataTrak Version 1.6
and gives hints for the most common problems.


CONTENTS

1. What's new

1.1 Statistics
1.2 Command line parameters
1.3 Transfer options
1.4 Nitrox dive computer

2. Troubleshooting

2.1 Problems with data transfer
2.2 Graphic mode
2.3 Printing




1. What's new
-------------

1.1 Statistics
--------------

In the statistics window we added the total dive time and the average dive
time per dive.
The statistics window is now printable.


1.2 Command Line Parameters
---------------------------

For certain reasons (for example see 1.3 / 2.1) it may be necessary to start
DataTrak with a command line parameter. The format is:

DATATRAK [/E] [/A] [/Q]

/E       EGA screen mode
/A       alternate transfer mode in case of data transmission problems
/Q:IRQ#  defines a non default IRQ for the data transfer (no effect in
         combination with /A)


1.3 Transfer Options
--------------------

In the Options/Transfer dialog you can now choose COM1 ... COM4. If you don't
use the command line parameter /Q the IRQ is set to 4 for COM1 and COM3 and to
3 for COM2 and COM4 (default hardware settings).


1.4 Nitrox Computer
-------------------

Version 1.6 (or later) of DataTrak is able to read the new Aladin
Nitrox Computer.




2. Trouble shooting
-------------------

2.1 Problems with the Data Transfer
----------------------------------

problem:     no mouse, no transmission
explanation: wrong setting in Options / Transfer
solution:    change the setting, exit and restart DataTrak!

problem:     no transmission possible
explanation: You might have a problem with your hardware. It could be a
             damaged or incomplete COM port or a problem with the BIOS
             version (for example Compaq Aero).
solution:    Install a mouse on the COM port you would like to use for
             the DataTrak interface. If the mouse doesn't work on this
             COM port, the interface won't work as either!
             Contact your hardware dealer if you have one of these
             problems.

problem:     Message "an error occured during transmission" appears
             frequently after transmission of the dive computer data.
explanation: Your system is too slow to handle the loaded software
             drivers and the transmission at the same time.
solution:    Try to optimize your AUTOEXEC.BAT and CONFIG.SYS (for
             example do not install unnecessary drivers). If this doesn't
             help, use the /A parameter (alternate transfer mode). Using
             the parameter /A will disable all unnecessary software
             drivers for the time of the data transfer. Because the
             mouse driver is also disabled, it is only possible to cancel
             the transmission with a keystroke.


2.2 Graphic Mode
----------------

problem:     Black screen after the start of the program
explanation: The graphic adapter of your PC is not 100% VGA register
             compatible.
solution:    Delete the file DT.BMP. The DataTrak title will not appear
             anymore.

problem:     System stops, when changing to graphic screen (profile view).
explanation: The graphic adapter of your PC is not 100 % VGA register
             compatible.
solution:    Delete DT.WAT (only Version 1.6 and higher). The blue water
             pattern will not appear anymore.


2.3 Printing
------------

If you have problems with printing the dive profiles, you have probably
chosen the wrong printer driver in Options/Printer. Note that you should
use the HP-Laser driver for all HP monochrome printers, and that you should
use the Epson LQ driver for the Epson Stylus (Colors not supported).
